/*
 * Fields.java
 *
 * Created on January 24, 2001, 1:12 PM
 */


/**
 *
 * @author  Dirk Zitterell
 * @version  0.1
 */
public class Fields extends java.lang.Object {
    
    // custom Constants declaration
    protected static final int fieldNum = 50; 
    protected static final char symbolEmptyField = '*'; 
    protected static final String delimiter = "\t";
    protected static final char commentChar = '#';
    protected static final int tokenNumber = 5;
    protected static final String[] ruleListNames = new String[] {"increment.tm", "binadd.tm", "toggle.tm", "file"};
    protected static final int tapeFieldWidth = 20;
    protected static final int tapeFieldHeight = 20;
    protected static final int margin = 20;
    // End of custom Constants declaration
    
    
    // custom Variables declaration
    protected static String currentDirectory = "";
    protected static String selectedFile = "";
    protected static int maxWaitingTime = 5000;
    protected static int speed = 50;
    protected static int tmRunMode = 0; /* 0 = resetted, 1 = running, 2 = paused, 3 = stopped, 4 = stepping */
    protected static int selection = -1;
    protected static int initialState = 0;
    protected static int currentState = 0;
    protected static int finalState = 99;
    protected static int stepCounter = 0;
    protected static String input = "Welcome!";    
    protected static Tape tape = null;
    protected static java.util.Hashtable sliderLabelTable = null;   
    protected static RuleList[] ruleList;
    protected static javax.swing.Timer timer = null;
    protected static boolean showCurrentRule = false;
    
    // Variables of TuringMachinePanel
    protected static int width = 600;
    protected static int height = 100;
    protected static int numberOfVisibleFields = 0;
    // End of custom Variables declaration
    
}
